LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Variables
SQLFilterOperator.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdb
| Basic interfaces for database access.

## Constant Groups
constants | com::sun::star::sdb::SQLFilterOperator
| These constants are used to specify the filter operator which should be applied when creating a filter with the method XSingleSelectQueryComposer::setStructuredFilter().

## Variables
const long | EQUAL = 1
| equal to More...
const long | NOT_EQUAL = 2
| not equal to More...
const long | LESS = 3
| less than More...
const long | GREATER = 4
| greater than More...
const long | LESS_EQUAL = 5
| less or equal than More...
const long | GREATER_EQUAL = 6
| greater or equal than More...
const long | LIKE = 7
| like More...
const long | NOT_LIKE = 8
| not like More...
const long | SQLNULL = 9
| is null More...
const long | NOT_SQLNULL = 10
| is not null More...